Bug 59408 - build failure because of wrong INCLUDED
build failure because of wrong INCLUDED
Product: Red Hat Raw Hide
Classification: Retired
Component: pam (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-02-07 06:18 EST by MATSUURA Takanori
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-07 06:18:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MATSUURA Takanori 2002-02-07 06:18:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:0.9.8+) Gecko/20020203

Description of problem:
pam cannot build because of wrong INCLUDED.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. build stage

Actual Results:  INCLUDED=${topdir}/include

Expected Results:  INCLUDED=${topdir}/include/pwdb

Additional info:

In source files, pwdb header files are included as:
#include <pwdb/pwdb_public.h>

So header files from pwdb are installed to ${topdir}/include/pwdb not to

BTW, Why pwdb is included with pam SRPM? Now the version of pwdb package is 0.61.2.
# But no header files are included in pwdb package now. :-(
# Why?
Comment 1 Nalin Dahyabhai 2002-03-07 19:11:49 EST
The pwdb maintainer has moved on to other packages, and requested that pwdb be
removed from the distribution.  For the moment, we're attempting to continue
building pam_pwdb to keep existing configurations from breaking, but it will be
fixed in 0.75-27.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.